Groovy 1.7.0

## groovy.lang
Interface ClosureInvokingMethod

    interface ClosureInvokingMethod

An interface for MetaMethods that invoke closures to implements. Used by ExpandoMetaClass

see:
  ExpandoMetaClass

author:
  Graeme Rocher

since:
  1.5

Method Summary
`Closure` | `getClosure()` Returns the original closure that this method invokes
`String` | `getName()` The method name
`boolean` | `isStatic()` Is it a static method?

Method Detail

### getClosure

    public Closure getClosure()

  Returns the original closure that this method invokes
  return:
    The closure

### getName

    public String getName()

  The method name
  return:
    The method name

### isStatic

    public boolean isStatic()

  Is it a static method?
  return:
    True if it is

Copyright © 2003-2009 The Codehaus. All rights reserved.